payables

Get a List of Payables

Returns a list of all payees for the specified Broker.

Securityx-api-key
Request
header Parameters
broker-id
required
integer (broker_id)

The id of the broker

Example: 66305
Responses
200

Example response

get/payables
Request samples
Response samples
application/json
{
  • "amount": 123.45,
  • "carrier_payee": {
    },
  • "comment": "Load from Miami, Florida to Atlanta, Georgia.",
  • "created_datetime": "2023-10-26T00:00:00+00:00",
  • "eta": "2023-10-27T13:00:00+00:00",
  • "id": 87346,
  • "idempotency_key": "bac613de-5j27-1347-ka1n-q3p6173jacj4",
  • "invoice_number": "355da12b-774b-41fc-9124-92d5f5a795ed",
  • "payee": {
    },
  • "payment_method": "ACH_NEXT_DAY",
  • "po_number": "AP12345",
  • "scheduled_for_date": "2023-10-29T00:00:00+00:00",
  • "status": "SCHEDULED",
  • "updated_datetime": "2023-10-26T00:00:00+00:00"
}

Create a Payable

Create a Payable. A Payable is an amount owed to a creditor with a scheduled date for a payment to be initiated.

Securityx-api-key
Request
header Parameters
broker-id
required
integer (broker_id)

The id of the broker

Example: 66305
Request Body schema: application/json
payee_id
integer (payee_id)

The unique identifier of the Payee who will receive the funds. It could be a Carrier or a Factoring Company.

carrier_payee_id
integer (id)

The id number of the object being returned.

payment_method
any (payment_method)

The method used to settle a payable.

Enum: "ACH_NEXT_DAY" "WALLET_ACH_NEXT_DAY" "PAPER_CHECK"
amount
string (amount)

Money in USD to transfer or has been transferred.

scheduled_for_date
string <date> (scheduled_for_date)

A valid date in the future when the payment should be initiated or "now" indicating immediate payment.

invoice_number
string (invoice_number)

The invoice number being paid by the payable/receivable. This is visible by the Payee in remittance emails as reference_id.

po_number
string (po_number)

A unique identifier that links the purchase order the payable.

idempotency_key
integer (idempotency_key)

Provide a unique value to prevent duplicates during retries.

Responses
200

Example response

post/payables
Request samples
application/json
{
  • "payee_id": 896876,
  • "carrier_payee_id": 87346,
  • "payment_method": "ACH_NEXT_DAY",
  • "amount": "18.32",
  • "scheduled_for_date": "2023-10-29T00:00:00+00:00",
  • "invoice_number": "355da12b-774b-41fc-9124-92d5f5a795ed",
  • "po_number": "AP12345",
  • "idempotency_key": "bac613de-5j27-1347-ka1n-q3p6173jacj4"
}
Response samples
application/json
{
  • "id": 87346
}

Get a Single Payable

Retrieve a single Payable by its ID. A Payable represents a scheduled payment to a Payee for a specific amount.

A Payee is always one of two types, determined by the is_factoring_company flag:

  • Carrier (is_factoring_company: false): A transportation company that moves freight. Carriers may have DOT and MC numbers for regulatory compliance.

  • Factoring Company (is_factoring_company: true): A financial entity that purchases invoices from Carriers. When paying a Factoring Company, the carrier_payee field identifies which Carrier the payment is on behalf of.

The carrier_payee field is null when paying a Carrier directly.

The status field will be one of: NEW, PENDING, PROCESSING, COMPLETE, CANCELLED, FAILED, SCHEDULED, DELETED, or UNKNOWN.

Securityx-api-key
Request
path Parameters
id
required
integer (id)

The id number of the object being returned.

Example: 87346
header Parameters
broker-id
required
integer (broker_id)

The id of the broker

Example: 66305
Responses
200

The payable was found and returned successfully.

401

The API key is missing or invalid.

403

The API key does not have access to the specified broker.

404

No payable was found with the specified ID for this broker.

get/payables/{id}
Request samples
Response samples
application/json
{
  • "id": 986878,
  • "amount": 3500,
  • "status": "SCHEDULED",
  • "payment_method": "PAPER_CHECK",
  • "scheduled_for_date": "2026-04-09T00:00:00+00:00",
  • "eta": "2026-04-10T16:30:00+00:00",
  • "created_datetime": "2026-03-10T16:46:44.258001+00:00",
  • "updated_datetime": "2026-03-10T16:46:44.323196+00:00",
  • "invoice_number": "205960 / 205960",
  • "po_number": "3491080",
  • "idempotency_key": "d61163f8678d77f48c9947999456b1f2",
  • "comment": "Load from Miami, FL to Atlanta, GA",
  • "payee": {
    },
  • "carrier_payee": {
    }
}

Update a Single Payable

Edit a Payable if it’s not already processing or completed.

Securityx-api-key
Request
path Parameters
id
required
integer (id)

The id number of the object being returned.

Example: 87346
header Parameters
broker-id
required
integer (broker_id)

The id of the broker

Example: 66305
Request Body schema: application/json

Fields that can be updated

amount
string (amount)

Money in USD to transfer or has been transferred.

invoice_number
string (invoice_number)

The invoice number being paid by the payable/receivable. This is visible by the Payee in remittance emails as reference_id.

po_number
string (po_number)

A unique identifier that links the purchase order the payable.

payee_id
integer (payee_id)

The unique identifier of the Payee who will receive the funds. It could be a Carrier or a Factoring Company.

carrier_payee_id
integer (id)

The id number of the object being returned.

scheduled_for_date
string <date> (scheduled_for_date)

A valid date in the future when the payment should be initiated or "now" indicating immediate payment.

payment_method
string or null (payment_method)

The method used to settle a payable.

Enum: "ACH_NEXT_DAY" "WALLET_ACH_NEXT_DAY" "PAPER_CHECK"
Responses
201

Example response

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

patch/payables/{id}
Request samples
application/json
{
  • "amount": "18.32",
  • "invoice_number": "355da12b-774b-41fc-9124-92d5f5a795ed",
  • "po_number": "AP12345",
  • "payee_id": 896876,
  • "carrier_payee_id": 87346,
  • "scheduled_for_date": "2023-10-29T00:00:00+00:00",
  • "payment_method": "ACH_NEXT_DAY"
}
Response samples
application/json
{
  • "id": 87346
}

Delete a Single Payable

Delete a Payable if it’s not already processing or completed.

Securityx-api-key
Request
path Parameters
id
required
integer (id)

The id number of the object being returned.

Example: 87346
header Parameters
broker-id
required
integer (broker_id)

The id of the broker

Example: 66305
Responses
200

OK

401

Unauthorized

403

Forbidden

404

Not Found

delete/payables/{id}
Request samples
Copyright © RoadSync 2023. All right reserved.